org.apache.ignite.internal.processors.cache

## Class WalStateDistributedProcess

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.WalStateDistributedProcess

    public class WalStateDistributedProcess
    extends Object

Distributed process governing WAL state change.

### Constructor Summary

Constructors
Constructor and Description
`WalStateDistributedProcess(WalStateProposeMessage msg, Collection<UUID> remainingNodes)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `completed()`
`void` `onNodeFinished(UUID nodeId, WalStateAckMessage ack)` Handle node finish.
`void` `onNodeLeft(UUID nodeId)` Handle node leave.
`UUID` `operationId()`
`WalStateFinishMessage` `prepareFinishMessage()` Prepare finish message based on obtained results.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WalStateDistributedProcess

    public WalStateDistributedProcess(WalStateProposeMessage msg,
                                      Collection<UUID> remainingNodes)

Constructor.

Parameters:
  `msg` - Original propose message.
  `remainingNodes` - Remaining nodes.

### Method Detail

#### onNodeFinished

    public void onNodeFinished(UUID nodeId,
                               WalStateAckMessage ack)

Handle node finish.

Parameters:
  `nodeId` - Node ID.
  `ack` - Ack message.

#### onNodeLeft

    public void onNodeLeft(UUID nodeId)

Handle node leave.

Parameters:
  `nodeId` - Node ID.

#### completed

    public boolean completed()

Returns:
  `True` if process is completed.

#### operationId

    public UUID operationId()

Returns:
  Operation ID.

#### prepareFinishMessage

    public WalStateFinishMessage prepareFinishMessage()

Prepare finish message based on obtained results.

Returns:
  Message.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019